import request from '@/utils/request'

// 查询我的任务列表（当天有效任务）shudong
export function getHomePage(params) {
  return request({
    url: '/check/largeScreen/homePage',
    method: 'get',
    params: params
  })
}
//获取查获上报数据  xiaoxiong
export function getSeizureReport(params) {
  return request({
    url: '/system/check/seizureReport/data',
    method: 'get',
    params: params
  })
}

//获取考勤统计数据   binge
export function getAttendanceStats(params) {
  return request({
    url: '/attendance/stats/getAttendanceStats',
    method: 'get',
    params: params
  })
}

//抽问抽答，首页   binge
export function getAccuracyStatistics(params) {
  return request({
    url: '/exam/daily/accuracy-statistics',
    method: 'get',
    params: params
  })
}

//根据角色获取查获排名  xiaoxiong
export function getSeizureRanking(data) {
  return request({
    url: '/item/seizure/ranking/getRankingByRole',
    method: 'post',
    data: data
  })
}


//获取检查排名  shudong
export function getCheckRanking(params) {
  return request({
    url: '/system/homePage/homePageRanking',
    method: 'get',
    params: params
  })
}

//首页-整体   shudong binge xiaoxiong
export function getHomePageWhole(params) {
  return request({
    url: '/system/homePage/homePageWhole',
    method: 'get',
    params: params
  })
}
//首页-明细（能力对比） shudong binge xiaoxiong
export function getHomePageDetail(data) {
  return request({
    url: '/system/homePage/homePageDetail',
    method: 'post',
    data: data
  })
}

//根据角色标识查询今日上岗用户列表
export function selectUserListByRoleKey(data) {
  return request({
    url: '/attendance/postRecord/selectUserListByRoleKey',
    method: 'post',
    data: data
  })
}

//首页报表-整体
export function getHomeReportWhole(params) {
  return request({
    url: '/system/homeReport/homeReportWhole',
    method: 'get',
    params: params
  })
}
